---
title: '`glab securefile`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Manage secure files for a project.

## Synopsis

Store up to 100 files for secure use in CI/CD pipelines. Secure files are
stored outside of your project's repository, not in version control.
It is safe to store sensitive information in these files. Both plain text
and binary files are supported, but they must be smaller than 5 MB.

## Options

```plaintext
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`create`](create.md)
- [`download`](download.md)
- [`get`](get.md)
- [`list`](list.md)
- [`remove`](remove.md)
- [`update`](update.md)
